Bug 222037 - audio/abraca: unbreak build with vala 0.36
Summary: audio/abraca: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-03 23:04 UTC by Carlos J. Puga Medina
Modified: 2017-09-07 13:24 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+


Attachments
patch (6.37 KB, patch)
2017-09-03 23:06 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (6.53 KB, patch)
2017-09-05 11:37 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (madpilot)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 23:04:47 UTC
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:66.2-66.30: error: Cannot convert from `Gee.ArrayList<uint>' to `Gee.List<int>'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:67.2-67.50: error: Cannot convert from `Gee.HashMap<uint,Xmms.Collection>' to `Gee.Map<int,Xmms.Collection>'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:95.4-95.19: error: The name `set' does not exist in the context of `Abraca.MetadataResolver.pending_mids'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:96.4-96.14: error: The name `add' does not exist in the context of `Abraca.MetadataResolver.pending'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:105.13-105.28: error: The name `is_empty' does not exist in the context of `Abraca.MetadataResolver.pending'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:121.15-121.31: error: The name `remove_at' does not exist in the context of `Abraca.MetadataResolver.pending'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:121.7-121.34: error: var declaration not allowed with non-typed initializer
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:122.3-122.20: error: The name `unset' does not exist in the context of `Abraca.MetadataResolver.pending_mids'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:124.28-124.32: error: The name `token' does not exist in the context of `Abraca.MetadataResolver.on_timeout'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:145.8-145.23: error: The name `is_empty' does not exist in the context of `Abraca.MetadataResolver.pending'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-resolver.vala:131.21-131.25: error: The name `token' does not exist in the context of `Abraca.MetadataResolver.on_timeout'
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-server-browser-dialog.vala:148.27-148.30: error: Argument 1: Cannot pass value to reference or output parameter
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:134.4-134.37: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:359.5-359.42: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:368.5-368.41: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:377.5-377.40: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:389.5-389.44: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:398.5-398.40: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:409.5-409.35: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-medialib.vala:508.19-508.22: error: Argument 1: Cannot pass value to reference or output parameter
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-filter-searchbox.vala:81.19-81.22: error: Argument 1: Cannot pass value to reference or output parameter
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-filter-searchbox.vala:122.3-122.33: warning: Gtk.Widget.override_background_color has been deprecated since 3.16
/wrkdirs/usr/ports/audio/abraca/work/abraca-0.8.2/src/abraca-playlist-model.vala:139.12-139.15: error: Argument 1: Cannot pass value to reference or output parameter

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/abraca-0.8.2_1.log
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-09-03 23:06:58 UTC
Created attachment 186044 [details]
patch

- Add LICENSE and LICENSE_FILE
- Fix build with vala 0.36
- Update WWW in pkg-descr
- Bump PORTREVISION
Comment 2 Guido Falsi freebsd_committer 2017-09-04 11:14:52 UTC
Hi,

Thanks for the patch.

I'll test it and commit it soon.
Comment 3 Guido Falsi freebsd_committer 2017-09-05 07:59:20 UTC
Hi,

After a quick test I discovered that this patch makes abraca fail with the vala version present in the tree now.

This means I cannot commit this patch right away.

Are you planning on committing this patch together with the vala update?  In such a case I have no objection.
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-09-05 11:37:41 UTC
Created attachment 186075 [details]
patch

Update patch to make it compatible with current vala 0.30 version.
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-05 11:40:26 UTC
(In reply to Guido Falsi from comment #3)

Please, would you mind checking if it works as expected? It should work with both versions.
Comment 6 Guido Falsi freebsd_committer 2017-09-05 15:26:01 UTC
Thanks for this further patch. It works better.

Going to commit it a bit later.
Comment 7 Carlos J. Puga Medina freebsd_committer 2017-09-05 18:00:16 UTC
(In reply to Guido Falsi from comment #6)

Thanks, Guido!

I'm not sure if all of the if-else-endif statement are really necessary, but it's worth checking.
Comment 8 Carlos J. Puga Medina freebsd_committer 2017-09-05 18:06:27 UTC
As an example, see the attached patch from bug 222026

https://bz-attachments.freebsd.org/attachment.cgi?id=186086
Comment 9 Guido Falsi freebsd_committer 2017-09-07 13:24:12 UTC
Fix committed, after suggested minor changes. Thanks!
Comment 10 commit-hook freebsd_committer 2017-09-07 13:24:54 UTC
A commit references this bug:

Author: madpilot
Date: Thu Sep  7 13:23:26 UTC 2017
New revision: 449397
URL: https://svnweb.freebsd.org/changeset/ports/449397

Log:
  - Fix build with vala 0.36
  - Add LICENSE and LICENSE_FILE
  - Update WWW in pkg-descr

  PR:		222037
  Submitted by:	cpm@

Changes:
  head/audio/abraca/Makefile
  head/audio/abraca/files/
  head/audio/abraca/files/patch-src_abraca-filter-searchbox.vala
  head/audio/abraca/files/patch-src_abraca-medialib.vala
  head/audio/abraca/files/patch-src_abraca-playlist-model.vala
  head/audio/abraca/files/patch-src_abraca-resolver.vala
  head/audio/abraca/files/patch-src_abraca-server-browser-dialog.vala
  head/audio/abraca/pkg-descr